//
//  GSSnaper.h
//  GlyphsLayerPluginOutline
//
//  Created by Georg Seifert on 24.01.09.
//  Copyright 2009 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GSNode;

@interface GSSnaper : NSObject {
	NSPoint _from;
	NSPoint _to;
	BOOL _open;
	CGFloat _distance;
	BOOL _required;
	CGFloat _factor;
}
// The Origin of the Snapper.
@property (nonatomic) NSPoint from;
// If it is a line, the second value is set
@property (nonatomic) NSPoint to;
@property (nonatomic) BOOL open;
@property (nonatomic) CGFloat distance;
@property (nonatomic) BOOL required;
@property (nonatomic) CGFloat factor;

- (int)compare:(id)element;

- (void)setDistanceToPoint:(NSPoint)point;

- (NSPoint)nearestPointForPoint:(NSPoint)point;
@end
